Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689799 - [cluster/ec] : Fix handling of heal info cases without locks
Summary: [cluster/ec] : Fix handling of heal info cases without locks
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1697764
TreeView+ depends on / blocked
 
Reported: 2019-03-18 07:29 UTC by Ashish Pandey
Modified: 2019-04-09 05:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1697764 (view as bug list)
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22372 None Open cluster/ec: Fix handling of heal info cases without locks 2019-04-04 21:06:31 UTC

Description Ashish Pandey 2019-03-18 07:29:24 UTC
Description of problem:

When we use heal info command it takes lot of time as some cases
it takes lock on entries to find out if the entry actualy needs heal or not.

There are some cases where we can avoid these locks and can conclude if the 
entry needs heal or not. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2019-03-18 08:27:59 UTC
REVIEW: https://review.gluster.org/22372 (cluster/ec: Fix handling of heal info cases without locks) posted (#1) for review on master by Ashish Pandey

Comment 2 Worker Ant 2019-04-04 21:06:32 UTC
REVIEW: https://review.gluster.org/22372 (cluster/ec: Fix handling of heal info cases without locks) merged (#5) on master by Xavi Hernandez

Comment 3 Worker Ant 2019-04-09 05:27:41 UTC
REVIEW: https://review.gluster.org/22532 (cluster/ec: Fix handling of heal info cases without locks) posted (#1) for review on release-6 by Ashish Pandey

Comment 4 Worker Ant 2019-04-09 05:29:25 UTC
REVISION POSTED: https://review.gluster.org/22532 (cluster/ec: Fix handling of heal info cases without locks) posted (#2) for review on release-6 by Ashish Pandey


Note You need to log in before you can comment on or make changes to this bug.